Bug 1304802 - check for --mirrorlist in kickstart url and exit
check for --mirrorlist in kickstart url and exit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 11:18 EST by Dennis Gilmore
Modified: 2016-02-12 13:24 EST (History)
2 users (show)

See Also:
Fixed In Version: lorax-24.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 13:24:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2016-02-04 11:18:04 EST
Description of problem:
If you put something like 

url --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=rawhide&arch=$basearch

in a kickstart in livemedia-creator you get a failure as --mirrorlist is not valid when running a command like
livemedia-creator --ks fedora-arm-minimal.ks --make-disk --no-virt

lorax should check for for the combo and exit gracefully

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brian Lane 2016-02-11 13:23:27 EST
Ends up there is no good reason not to allow url --mirrorlist

https://github.com/rhinstaller/lorax/pull/87

Note You need to log in before you can comment on or make changes to this bug.